{% load crispy_forms_tags %}
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>Register</title>
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <link href="https://fonts.googleapis.com/css?family=Courgette&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
        <!-- <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous"> -->
    </head>
    <body>
        <div class="container" id="register-container" style="margin : 50px 50px 50px; background-color: cornsilk;padding-top:20px;padding-bottom:20px" >
        <h1 style="text-align: center; color:darkcyan; font-family: 'Courgette', cursive;">Join Now!</h1>
        <form method="POST" action ="{% url 'register' %}">
            
            {% csrf_token %}

            {% if form.errors %}
            <p> There are errors in the form</p>
            {% endif %}

            {{ form|crispy }}
            <input type="submit" class="btn btn-success" value="Register">  

        </form>
        <p style="padding-top:20px">Already have an account?<a href="{% url 'login' %}"> Login now</a></p>
    </div>
    </body>
</html>